<?php declare(strict_types=1);
/**
 * This file is part of the SplendidBear Websites' projects.
 *
 * Copyright (c) 2026 @ www.splendidbear.org
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace App\Migrations;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

/**
 * Class Version20260418104430
 *
 * @package  App\Migrations
 * @author   Lang <https://www.splendidbear.org>
 * @category Class
 * @license  https://www.gnu.org/licenses/lgpl-3.0.en.html GNU Lesser General Public License
 * @link     www.splendidbear.org
 * @since    2026. 04. 18.
 */
final class Version20260418104430 extends AbstractMigration
{
    public function getDescription(): string
    {
        return 'Add bonus stats to the playing experience';
    }

    public function up(Schema $schema): void
    {
        $this->addSql('ALTER TABLE played_game ADD red_bonus_points DOUBLE PRECISION DEFAULT NULL');
        $this->addSql('ALTER TABLE played_game ADD blue_bonus_points DOUBLE PRECISION DEFAULT NULL');
        $this->addSql('ALTER TABLE played_game ADD red_bonus_stats JSON DEFAULT NULL');
        $this->addSql('ALTER TABLE played_game ADD blue_bonus_stats JSON DEFAULT NULL');
    }

    public function down(Schema $schema): void
    {
        $this->addSql('ALTER TABLE played_game DROP red_bonus_points');
        $this->addSql('ALTER TABLE played_game DROP blue_bonus_points');
        $this->addSql('ALTER TABLE played_game DROP red_bonus_stats');
        $this->addSql('ALTER TABLE played_game DROP blue_bonus_stats');
    }
}
